Package writer2latex.latex.util

# Class HeadingMap

java.lang.Object
writer2latex.latex.util.HeadingMap

public class HeadingMap extends Object
This class contains data for the mapping of OOo headings to LaTeX headings. A LaTeX heading is characterized by a name and a level. The heading is inserted with \name{...} or \name[...]{...} The headings are supposed to be "normal" LaTeX headings, ie. the names are also counter names, and the headings can be reformatted using \@startsection etc. Otherwise max-level should be zero.

## Constructor Summary

Constructors
Constructor
Description
`HeadingMap(int nMaxLevel)`
Constructor: Create a new HeadingMap

## Method Summary

Modifier and Type
Method
Description
`int`
`getLevel(int nWriterLevel)`
Return the LaTeX level for this Writer level (for \@startsection)
`int`
`getMaxLevel()`
Returns the maximal Writer level associated with this HeadingMap
`String`
`getName(int nWriterLevel)`
Return the name (for counter and \@startsection) for this level
`void`
`reset(int nMaxLevel)`
Clear all data associated with this HeadingMap (in order to reuse it)
`void`
`setLevelData(int nWriterLevel, String sName, int nLevel)`
Set data associated with a specific heading level

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeadingMap

public HeadingMap(int nMaxLevel)
Constructor: Create a new HeadingMap

Parameters:
  `nMaxLevel` - the maximal level of headings that are mapped

## Method Details

### reset

public void reset(int nMaxLevel)
Clear all data associated with this HeadingMap (in order to reuse it)

### setLevelData

public void setLevelData(int nWriterLevel, String sName, int nLevel)
Set data associated with a specific heading level

### getMaxLevel

public int getMaxLevel()
Returns the maximal Writer level associated with this HeadingMap

### getName

public String getName(int nWriterLevel)
Return the name (for counter and \@startsection) for this level

### getLevel

public int getLevel(int nWriterLevel)
Return the LaTeX level for this Writer level (for \@startsection)